%define upstream_name    XML-LibXML
%define upstream_version 2.0129

%{?perl_default_filter}
# Useless requires on perl >= 5.008 that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More|5.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Binding for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::NamespaceSupport) >= 1.70.0
BuildRequires: perl(XML::SAX) >= 0.110.0
BuildRequires: perl(base)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: libxml2-devel >= 2.9.0
BuildRequires: perl-devel
Obsoletes:  perl-XML-LibXML-XPathContext
Obsoletes:  perl-XML-LibXML-Common
Requires:   libxml2 >= 2.9.0
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%{?perl_default_filter}

%description
This module implements much of the DOM Level 2 API as an
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make

LC_ALL=C %{__make} test

%install
%make_install

%preun -p %{_bindir}/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{_bindir}/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes LICENSE META.json META.yml README TODO example
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*


%changelog
* Sun Aug 27 2017 adrianomorselli <adrianomorselli> 2.12.900-2uplos2017
- security update
